#### Previous topic

scipy.special.roots_jacobi

#### Next topic

scipy.special.roots_genlaguerre

# scipy.special.roots_laguerre

`scipy.special.``roots_laguerre`(n, mu=False)

  Gauss-Laguerre quadrature.

  Computes the sample points and weights for Gauss-Laguerre quadrature. The sample points are the roots of the n-th degree Laguerre polynomial, \(L_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([0, \infty]\) with weight function \(f(x) = e^{-x}\).

  Parameters:

  n : int

  > quadrature order

  mu : bool, optional

  > If True, return the sum of the weights, optional.

  Returns:

  x : ndarray

  > Sample points

  w : ndarray

  > Weights

  mu : float

  > Sum of the weights

  See also

  `scipy.integrate.quadrature`, `scipy.integrate.fixed_quad`, `numpy.polynomial.laguerre.laggauss`